Bug 34201

Summary: Web Inspector: Switching between Profiles and Resources puts Profiles into "welcome screen" mode.
Product: WebKit Reporter: Pavel Feldman <pfeldman>
Component: Web Inspector (Deprecated)Assignee: Pavel Feldman <pfeldman>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, mnaganov, timothy
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Attachments:
Description Flags
proposed patch
none
now using div
none
assign more specialized class name to the div none

Description Pavel Feldman 2010-01-26 23:53:33 PST
1. Start / stop profiling
2. Click on a resource link to get navigated to resources / scripts
3. Click on Profiler toolbar button to get back

Expected: your profile selected
Actual: profiler welcome screen
Comment 1 Mikhail Naganov 2010-01-27 04:57:27 PST
Created attachment 47519 [details]
proposed patch
Comment 2 Pavel Feldman 2010-01-27 05:30:23 PST
Comment on attachment 47519 [details]
proposed patch

> +    width: 0;

Should we use div instead?
Comment 3 Mikhail Naganov 2010-01-27 06:03:39 PST
Created attachment 47523 [details]
now using div
Comment 4 Mikhail Naganov 2010-01-27 07:15:00 PST
Created attachment 47529 [details]
assign more specialized class name to the div
Comment 5 Timothy Hatcher 2010-01-27 08:25:48 PST
Comment on attachment 47529 [details]
assign more specialized class name to the div

Why remove the image?
Comment 6 Pavel Feldman 2010-01-27 08:32:53 PST
(In reply to comment #5)
> (From update of attachment 47529 [details])
> Why remove the image?

Image is still there on the enabler panel. It is just that going from enabler panel to the welcome screen with the same image moving to the left was confusing.
Comment 7 Timothy Hatcher 2010-01-27 08:36:27 PST
Ok.
Comment 8 Timothy Hatcher 2010-01-27 08:37:29 PST
Comment on attachment 47529 [details]
assign more specialized class name to the div


> +.panel-enabler-view.welcome div.welcome-instructions-aligner {
> +    display: inline-block;
> +    width: 0;
>  }

A better way to hide the image is display: none.
Comment 9 Mikhail Naganov 2010-01-27 12:42:22 PST
(In reply to comment #8)
> (From update of attachment 47529 [details])
> 
> > +.panel-enabler-view.welcome div.welcome-instructions-aligner {
> > +    display: inline-block;
> > +    width: 0;
> >  }
> 
> A better way to hide the image is display: none.

The image is already removed by not creating 'img' node (WelcomeView.js:22--24.) The purpose of this div is to align 'instructions' div. 'instructions' has 'auto' height (because they have text content), and I couldn't find another way to align instructions vertically properly.

On enabler panel an image has fixed height, and alignment is done by using auto margins (and absolute positioning with top and bottom set to 0), then the text on the right is vertically centered relative to the image. On welcome view I'm proposing to use a zero-width div with fixed height for that purpose.

Do you know any better way for solving this?
Comment 10 Timothy Hatcher 2010-01-27 13:19:40 PST
I see that might be the only option then.
Comment 11 WebKit Commit Bot 2010-01-28 03:01:52 PST
Comment on attachment 47529 [details]
assign more specialized class name to the div

Rejecting patch 47529 from commit-queue.

mnaganov@chromium.org does not have committer permissions according to http://trac.webkit.org/browser/trunk/WebKitTools/Scripts/webkitpy/committers.py.

- If you do not have committer rights please read http://webkit.org/coding/contributing.html for instructions on how to use bugzilla flags.

- If you have committer rights please correct the error in WebKitTools/Scripts/webkitpy/committers.py by adding yourself to the file (no review needed).  Due to bug 30084 the commit-queue will require a restart after your change.  Please contact eseidel@chromium.org to request a commit-queue restart.  After restart the commit-queue will correctly respect your committer rights.
Comment 12 WebKit Commit Bot 2010-01-28 04:34:09 PST
Comment on attachment 47529 [details]
assign more specialized class name to the div

Clearing flags on attachment: 47529

Committed r53996: <http://trac.webkit.org/changeset/53996>
Comment 13 WebKit Commit Bot 2010-01-28 04:34:15 PST
All reviewed patches have been landed.  Closing bug.